﻿<style>
.left,
.right {
    top: 50%;
    float: left;
    transform: translateY(125%);
}

.left {
    background: #337ab7;
    display: inline-block;
    white-space: nowrap;
    width: 50px;
    transition: width .5s;
}

.right {
    background: #fff;
    width: 350px;
    transition: width 1s;
    border-style: solid;
    border-color: #ccc;
    border-width: 1px;
}

.left:hover {
    width: 250px;
}

.item:hover {
    background-color: #222;
}

.left .fas {
    margin: 15px;
    width: 20px;
    color: #fff;
}

i.fas {
    font-size: 17px;
    vertical-align: middle !important;
}

.item {
    height: 50px;
    overflow: hidden;
    color: #fff;
}
</style>
